Package org.springframework.security.web.server.firewall

# Class ServerExchangeRejectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.web.server.firewall.ServerExchangeRejectedException

All Implemented Interfaces:
  `Serializable`

public class ServerExchangeRejectedException extends RuntimeException
Thrown when a `ServerWebExchange` is rejected.

Since:
  6.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ServerExchangeRejectedException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerExchangeRejectedException

public ServerExchangeRejectedException(String message)